Create cover for a plan Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/plans/{plan_uuid}/cover

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
application/json

Body

  • client_uuid string(uuid)

    Client who is claiming this cover. Must be able to access this plan. Only for protection policies.

  • cover_type string Required

    Cover type.

    Values are asu, additional_rider_benefit, critical_illness, family_income_benefit, income_insurance, life_assurance, tpd_total_permanent_disability, trauma_insurance, waiver_of_premium, unknown, 3rd_party, 3rd_party_fire_and_theft, accidental_damage, ambulance, buildings, buildings_and_contents, business, comprehensive, contents, dental, extras, hospital_cash, optical, personal_possessions, private, private_hospital, or specialist.

  • benefit_amount integer Required

    Benefit amount in pennies. Only for protection policies.

  • benefit_frequency string Required

    Benefit frequency. Only for protection policies.

    Value Description
    daily Daily
    weekly Weekly
    fortnightly Fortnightly
    four_weekly Four Weekly
    monthly Monthly
    bimonthly Bimonthly
    quarterly Quarterly
    biannually Biannually
    annually Annually
    adhoc Adhoc
    one_off One Off

    Values are daily, weekly, fortnightly, four_weekly, monthly, bimonthly, quarterly, biannually, annually, adhoc, or one_off.

  • benefit_status string Required

    Benefit status. Only for protection policies.

    Value Description
    active Active
    inactive Inactive
    proposed Proposed

    Values are active, inactive, or proposed.

  • indexation number(float) Required

    Indexation. Only for protection policies.

  • excess integer Required

    Excess amount in pennies. Only for insurance policies.

  • beneficiaries array[object]

    The beneficiaries of the plan.

    Hide beneficiaries attributes Show beneficiaries attributes object
    • name string

      The name of the beneficiary.

    • percentage number(float)

      The percentage allocated to the beneficiary.

      Minimum value is 0.0, maximum value is 100.0.

Responses

  • 201 application/json
    Hide response attribute Show response attribute object
    • message string
  • 409 application/json

    Plan is being deleted

    Hide response attribute Show response attribute object
    • message string
POST /api/v1/plans/{plan_uuid}/cover
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/cover' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"client_uuid":"f63dea8d-852a-41fd-93b9-f13147f06177","cover_type":"asu","benefit_amount":892176,"benefit_frequency":"daily","benefit_status":"active","indexation":1.45,"excess":150000,"beneficiaries":[{"name":"John Smith","percentage":50},{"name":"Jane Doe","percentage":20}]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "client_uuid": "f63dea8d-852a-41fd-93b9-f13147f06177",
  "cover_type": "asu",
  "benefit_amount": 892176,
  "benefit_frequency": "daily",
  "benefit_status": "active",
  "indexation": 1.45,
  "excess": 150000,
  "beneficiaries": [
    {
      "name": "John Smith",
      "percentage": 50
    },
    {
      "name": "Jane Doe",
      "percentage": 20
    }
  ]
}
Response examples (201)
{
  "message": "Plan is being deleted."
}
Response examples (409)
{
  "message": "Plan is being deleted."
}